//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "LoopBtn.hpp"
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <dir.h>
#include <string.h>
#include "about.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLoopButton *LoopButton1;
	TLoopButton *LoopButton2;
	TPanel *Panel1;
	TImage *ImageRabbit;
	TImage *ImageFox;
	TLabel *LabelRabbit;
	TLabel *LabelFox;
	TLabel *LabelExcept;
	TLabel *Label4;
	TLabel *Label5;
	TLabel *Label2;
	TLabel *Label3;
	TMemo *MemoHelp;
	TMemo *MemoReadme;
	TButton *ButtonReset;
	TButton *ButtonExit;
	TBitBtn *BitBtnReadme;
	TEdit *Edit1;
	TMemo *Memo1;
	TBitBtn *BitBtnAbout;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall BitBtnReadmeClick(TObject *Sender);
	void __fastcall ButtonExitClick(TObject *Sender);
	void __fastcall ButtonResetClick(TObject *Sender);
	void __fastcall LoopButton1Click(TObject *Sender);
	void __fastcall LoopButton1IterEvent(TObject *Sender, TIterState IterState);
	void __fastcall LoopButton2Click(TObject *Sender);
	void __fastcall LoopButton2IterEvent(TObject *Sender, TIterState IterState);
	void __fastcall BitBtnAboutClick(TObject *Sender);
private:	// User declarations
char PictureText1[80];
int LabelRabbitPos;
int LabelFoxPos;
int ImFoxH;
int ImFoxW;
int ImFoxT;
int ImFoxL;
bool ReadmeOn;
struct ffblk SearchRec;
bool ScanContinue;
char Path[200];
void __fastcall ChangeReadmeState();
void __fastcall DrawLines(TColor Col);
void __fastcall Reset1();
void __fastcall Reset2();
bool __fastcall Meeting(int X);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
 